Skip to content
Proud to collaborate with Microsoft for Startups

docusign.workspace-items.get-workspace-file ​

This method returns a binary version of a file in a workspace.

Gets a workspace file

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
fileidstringYes—The ID of the file.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
is_downloadstringNo—When true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. The default is false.
pdf_versionstringNo—When true the file is returned in PDF format.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
fileidstringYes—The ID of the file.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
is_downloadstringNo—When true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. The default is false.
pdf_versionstringNo—When true the file is returned in PDF format.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.workspace-items.get-workspace-file",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "fileid": "value",
    "folderid": "value"
  }
}